Subject: bug#15700: 24.3; calling dired results in resized frame (it gets wider)

From: martin rudalics <[email-masked]>
Date: Tue, 29 Oct 2013 18:24:03 +0100

Please keep the subject line unaltered in order to preserve the
integrity of this thread.

 > The problem does not occur with 'emacs -q'

So I can only guess what might happen here:

- Your `dired' has some large toolbar and the window manager tries to
   fit the frame to that toolbar.  This should be fairly easy to check.

- You use some add-on which fits the frame width to that of the dired
   buffer.  This should be easy to check too.

Otherwise, you will have to run edbug on `dired' and check whether and
where within `switch-to-buffer' it resizes the frame.  If this doesn't
help either, you'll have to search your .emacs for the offender.

martin